/*
 * XXXX 
 *
 * Fecha 14/05/2007
 * 
 *  
 */
 
package com.ejie.p06b.servlet.presentacion.corredores;


import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ejie.p06b.datatype.logic.P06BError;
import com.ejie.p06b.general.P06BConstantes;
import com.ejie.p06b.general.P06BErrores;
import com.ejie.p06b.general.P06BPaginas;
import com.ejie.p06b.general.P06BTablas;
import com.ejie.p06b.manager.P06BCorredoresManager;
import com.ejie.p06b.servlet.P06BServletGenerico;
import com.ejie.p06b.util.P06BPage;
import com.ejie.p06b.util.P06BResources;
import com.ejie.p06b.datatype.model.P06B29T00Datatype;
import com.ejie.p06b.datatype.model.P06B26T00Datatype;



/**
 *  Esta clase gestiona las peticiones HTTP de la aplicación.
 */
public class P06BAtencionDefensaClienteServlet extends P06BServletGenerico 
{

	//Cambia de idioma en la sesión -> Perfil
	public void ejecutar(HttpServletRequest request, HttpServletResponse response) {
		try {
			byte accion = Byte.parseByte(request.getParameter("accion"));
			P06B29T00Datatype defClienteCV = null;
			P06B29T00Datatype defClienteCG = null;
			P06B26T00Datatype atClienteCV = null;
			P06B26T00Datatype atClienteCG = null;
			switch (accion){
				case P06BConstantes.P06B_ACCION_RECUPERAR:
					defClienteCV = P06BCorredoresManager.getInstance().selectDefClienteAdherido(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCVEXPEDIENTEFICTICIO, P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCV);
					defClienteCG = P06BCorredoresManager.getInstance().selectDefClienteAdherido(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCGEXPEDIENTEFICTICIO, P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCG);
					atClienteCV = P06BCorredoresManager.getInstance().selectAtClienteAdherido(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCVEXPEDIENTEFICTICIO, P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCV);
					atClienteCG = P06BCorredoresManager.getInstance().selectAtClienteAdherido(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCGEXPEDIENTEFICTICIO, P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCG);
					break;					
				case P06BConstantes.P06B_ACCION_UPDATE:
					defClienteCV = new P06B29T00Datatype();
					defClienteCV.setNumExp(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCVEXPEDIENTEFICTICIO);
					defClienteCV.setTipo(request.getParameter("tipo_defClienteCVModif"));
					defClienteCV.setIdentificador(request.getParameter("identif_defClienteCVModif"));
					defClienteCV.setRazsoc(request.getParameter("razsoc_defClienteCVModif"));
					defClienteCV.setNombre(request.getParameter("nombre_defClienteCVModif"));
					defClienteCV.setApe1(request.getParameter("ape1_defClienteCVModif"));
					defClienteCV.setApe2(request.getParameter("ape2_defClienteCVModif"));
					defClienteCG = new P06B29T00Datatype();
					defClienteCG.setNumExp(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCGEXPEDIENTEFICTICIO);
					defClienteCG.setTipo(request.getParameter("tipo_defClienteCGModif"));
					defClienteCG.setIdentificador(request.getParameter("identif_defClienteCGModif"));
					defClienteCG.setRazsoc(request.getParameter("razsoc_defClienteCGModif"));
					defClienteCG.setNombre(request.getParameter("nombre_defClienteCGModif"));
					defClienteCG.setApe1(request.getParameter("ape1_defClienteCGModif"));
					defClienteCG.setApe2(request.getParameter("ape2_defClienteCGModif"));
					atClienteCV = new P06B26T00Datatype();
					atClienteCV.setNumExp(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCVEXPEDIENTEFICTICIO);
					atClienteCV.setTipo(request.getParameter("tipo_atClienteCVModif"));
					atClienteCV.setIdentificador(request.getParameter("identif_atClienteCVModif"));
					atClienteCV.setRazsoc(request.getParameter("razsoc_atClienteCVModif"));
					atClienteCV.setNombre(request.getParameter("nombre_atClienteCVModif"));
					atClienteCV.setApe1(request.getParameter("ape1_atClienteCVModif"));
					atClienteCV.setApe2(request.getParameter("ape2_atClienteCVModif"));
					atClienteCG = new P06B26T00Datatype();
					atClienteCG.setNumExp(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCGEXPEDIENTEFICTICIO);
					atClienteCG.setTipo(request.getParameter("tipo_atClienteCGModif"));
					atClienteCG.setIdentificador(request.getParameter("identif_atClienteCGModif"));
					atClienteCG.setRazsoc(request.getParameter("razsoc_atClienteCGModif"));
					atClienteCG.setNombre(request.getParameter("nombre_atClienteCGModif"));
					atClienteCG.setApe1(request.getParameter("ape1_atClienteCGModif"));
					atClienteCG.setApe2(request.getParameter("ape2_atClienteCGModif"));
					P06BCorredoresManager.getInstance().updateDefClienteAdherido(defClienteCV);
					P06BCorredoresManager.getInstance().updateDefClienteAdherido(defClienteCG);
					P06BCorredoresManager.getInstance().updateAtClienteAdherido(atClienteCV);
					P06BCorredoresManager.getInstance().updateAtClienteAdherido(atClienteCG);
					break;
			}
			request.setAttribute("defClienteCV", defClienteCV);
			request.setAttribute("defClienteCG", defClienteCG);
			request.setAttribute("atClienteCV", atClienteCV);
			request.setAttribute("atClienteCG", atClienteCG);
			forward (request, response, P06BPaginas.P06B_JSP_ATENCIONDEFENSACLIENTE);
		}catch (Exception e){
	      	manejarErrores (request, response, e);
	        return;
	    }
	}
	
}